package com.pipipifa.pilaipiwang.goodselect.model

import com.google.gson.annotations.SerializedName

/**
 * 退款详情
 */
class UselectRefundDetailBean(
        @SerializedName("refundId")
        var refundId: String? = "",

        @SerializedName("orderId")
        var orderId: String? = "",

        @SerializedName("arbitrationId")
        var arbitrationId: String? = "",

        @SerializedName("flowStatus")
        var flowStatus: String? = "",

        @SerializedName("flowStatusName")
        var flowStatusName: String? = "",

        @SerializedName("addTime")
        var addTime: Long? = 0,

        @SerializedName("orderAddTime")
        var orderAddTime: Long? = 0,

        @SerializedName("mchAgreeTime")
        var mchAgreeTime: Long? = 0,

        @SerializedName("mchDisagreeTime")
        var mchDisagreeTime: Long? = 0,

        @SerializedName("returnGoodsType")
        var returnGoodsType: Int? = 0,

        @SerializedName("userName")
        var userName: String? = "",

        @SerializedName("mchName")
        var mchName: String? = "",

        @SerializedName("refundNo")
        var refundNo: String? = "",

        @SerializedName("refundType")
        var refundType: String? = "",

        @SerializedName("refundFee")
        var refundFee: String? = "",

        @SerializedName("refundReasonTypeContent")
        var refundReasonTypeContent: String? = "",

        @SerializedName("proofType")
        var proofType: String? = "",

        @SerializedName("proofReason")
        var proofReason: String? = "",

        @SerializedName("overtime")
        var overtime: Long? = 0,

        @SerializedName("flowStatusRemarks")
        var flowStatusRemarks: String? = "",

        @SerializedName("expressName")
        var expressName: String? = "",

        @SerializedName("expressCode")
        var expressCode: String? = "",

        @SerializedName("expressSn")
        var expressSn: String? = "",

        @SerializedName("uDesk")
        var uDesk: String? = "",

        @SerializedName("contactTel")
        var contactTel: String? = ""

) {
    @SerializedName("proofImages")
    var imagesArray: ArrayList<String> = ArrayList()

    @SerializedName("refundGoods")
    var goodsImagesArray: ArrayList<UselectGoodsImagesBean> = ArrayList()
}

