package com.pipipifa.pilaipiwang.goodselect.ui.adapter

import android.widget.TextView
import com.chad.library.adapter.base.BaseViewHolder
import com.pipipifa.pilaipiwang.R
import com.pipipifa.pilaipiwang.goodselect.model.UselectConsultationRecordBean
import com.pipipifa.pilaipiwang.goodselect.utlis.BaseSingleAdapter
import com.pipipifa.util.DateUtils
import java.util.*

class UselectConsultationRecordAdapter : BaseSingleAdapter<UselectConsultationRecordBean.Consultation>(R.layout.uselect_item_consultation_record, null) {

    override fun convert(helper: BaseViewHolder?, item: UselectConsultationRecordBean.Consultation?) {
        helper!!.getView<TextView>(R.id.tv_status).setText(item?.flowStatusName)
        helper!!.getView<TextView>(R.id.tv_time).setText(DateUtils.dateToString(Date(item?.updateTime!! * 1000), DateUtils.FORMAT_STRING_DATE_TIME))
        helper!!.getView<TextView>(R.id.tv_remarks).setText(item?.remarks)
    }
}