package com.pipipifa.pilaipiwang.goodselect.ui.adapter

import android.text.SpannableString
import android.text.Spanned
import android.text.style.AbsoluteSizeSpan
import android.widget.ImageView
import android.widget.TextView
import com.chad.library.adapter.base.BaseViewHolder
import com.pipipifa.pilaipiwang.R
import com.pipipifa.pilaipiwang.goodselect.model.UselectGoodsBean
import com.pipipifa.pilaipiwang.goodselect.utlis.BaseSingleAdapter
import com.ppwang.ppbase.utils.imageload.ImageUtils
import com.pipipifa.util.StringUtil

class UselectSelectGoodsAdapter : BaseSingleAdapter<UselectGoodsBean>(R.layout.uselect_item_select_goods) {
    override fun convert(helper: BaseViewHolder?, goods: UselectGoodsBean?) {
        var mImg: ImageView = helper!!.getView(R.id.iv_img)
        var mTitle: TextView = helper!!.getView(R.id.tv_title)
        var mNum: TextView = helper!!.getView(R.id.tv_num)
        var mPrive: TextView = helper!!.getView(R.id.tv_price)

        ImageUtils.loadGlideRound(mContext, goods!!.coverPic, mImg, 4)
        mTitle.setText(goods?.goodsName)
        var size = 0
        for (i in goods!!.attr!!) {
            if (i.refundableNum != 0) {
                size += i.refundableNum!!
            }
        }
        mNum.setText(String.format("%s件", size))
        var price = String.format("${StringUtil.RMB}%s", goods!!.payPrice)
        var sp = SpannableString(price)
        sp.setSpan(AbsoluteSizeSpan(18, true), 1, price.length, Spanned.SPAN_EXCLUSIVE_EXCLUSIVE)
        mPrive.setText(sp)
    }
}