package com.pipipifa.pilaipiwang.goodselect.utlis

import android.content.ClipData
import android.content.ClipboardManager
import android.content.Context

/**
 * @author: vitar
 * @date:   2019/10/21
 */
object ClipbordUtil {

    /**
     * 复制文本到剪切板
     */
    @JvmStatic
    fun copyText2Clipbord(context: Context, text: CharSequence) {
        // 剪切板管理器
        val cm: ClipboardManager = context.getSystemService(Context.CLIPBOARD_SERVICE) as ClipboardManager
        // 船舰普通字符型 ClipData
        val clipData = ClipData.newPlainText("label", text)
        // 将 ClipData 内容放入系统剪切板
        cm.primaryClip = clipData
    }

}