package com.pipipifa.pilaipiwang.model.seller

import com.google.gson.annotations.SerializedName

/**
 * 6.9新版重构买家订单数量
 * @author: wangben
 * @date: 2020/4/9
 */

class SellerOrderTotal(
        // 待付款订单数
        @SerializedName("orderPending")
        var orderPending: String? = "",
        //待发货订单数
        @SerializedName("orderAccepted")
        var orderAccepted: String? = "",
        //待收货订单数
        @SerializedName("orderShipped")
        var orderShipped: String? = "",
        //已完成订单数
        @SerializedName("orderFinished  ")
        var orderFinished: String? = "",
        //退货退款订单数
        @SerializedName("orderAcceptedReturn")
        var orderAcceptedReturn: String? = "",
        //仲裁订单数
        @SerializedName("untreatedArbitration")
        var untreatedArbitration: String? = "",

        //待确认订单数
        @SerializedName("orderOfflineConfirm")
        var orderOfflineConfirm: String? = "",

        //全部
        @SerializedName("orderAll")
        var orderAll: String? = "",

        //SaaS端全部订单
        @SerializedName("saasOrderAll  ")
        var saasOrderAll: String? = "",

        //待打单
        @SerializedName("orderKdn")
        var orderKdn: String? = ""

)