package com.pipipifa.pilaipiwang.model.user

import android.text.TextUtils
import com.google.gson.annotations.SerializedName
import com.ppwang.ppbase.utils.FileUtil
import java.util.*

/**
 * @author: wangben
 * @date: 2020/4/20
 */
class BaseBannerModel {
    class DiscountBanner(
            @SerializedName("banner")
            val bannerList: ArrayList<String>? = null,

            @SerializedName("image_url")
            val imageUrl: String? = null,

            @SerializedName("zip_image")
            val zipImage: String? = null
    ) {
        fun isZipImageUrl(): Boolean {
            return if (TextUtils.isEmpty(zipImage)) {
                false
            } else true
        }

        fun getZipDirPath(): String? {
            return FileUtil.getFileName(zipImage)
        }
    }





}