package com.pipipifa.pilaipiwang.util.sensorsdata

/**
 * @author: vitar
 * @date:   2020/5/27
 */
class ModuleSourceHelper private constructor() {

    private var moduleSource: String = ""

    companion object {

        private var me: ModuleSourceHelper? = null

        @JvmStatic
        fun getInstance(): ModuleSourceHelper {
            if (me == null) {
                synchronized(ModuleSourceHelper::class.java) {
                    if (me == null) {
                        me = ModuleSourceHelper()
                    }
                }
            }
            return me!!
        }

    }

    fun setModuleSource(moduleSource: String) {
        this.moduleSource = moduleSource
    }

    fun getModuleSource() = moduleSource

}