package com.pipipifa.pilaipiwang.goodselect.model

import com.google.gson.annotations.SerializedName
import java.io.Serializable

class UselectGoodsBean(
        @SerializedName("goodsId")
        var goodsId: String = "",
        @SerializedName("goodsCode")
        var goodsCode: String = "",
        @SerializedName("goodsName")
        var goodsName: String = "",
        @SerializedName("basePrice")
        // 平台商品基础价（原价）
        var basePrice: String = "",
        @SerializedName("ppPrice")
        var ppPrice: String = "",
        @SerializedName("payPrice")
        var payPrice: String = "",
        @SerializedName("coverPic")
        var coverPic: String = "",
        @SerializedName("catId")
        var catId: String = "",
        @SerializedName("sysCatId")
        var sysCatId: String = "",
        @SerializedName("sysCatName")
        var sysCatName: String = "",
        @SerializedName("weight")
        var weight: String = "",
        @SerializedName("skuDetail")
        var skuDetail: String = "",
        @SerializedName("allNum")
        var allNum: Int = 0,
        var size: Int = 0
) : Serializable {
    var images: ArrayList<String> = ArrayList()
    /**
     * 规格详情
     */
    @SerializedName("attr")
    var attr: ArrayList<UselectAttrBean>? = ArrayList()

    fun addImageAll(imageList: ArrayList<String>) {
        if (images == null) {
            images = ArrayList()
        }
        images.clear()
        images.addAll(imageList)
    }

    fun deteleRepeatImage(imageList: ArrayList<String>) {
        if (images == null) {
            images = ArrayList()
        }
        for (i in imageList) {
            if (images.contains(i)) {
                images.remove(i)
            }
        }
        images.addAll(imageList)
    }

    fun clearImageAll() {
        if (images == null) {
            images = ArrayList()
        }
        images.clear()
    }
}