package com.pipipifa.pilaipiwang.goodselect.ui.adapter

import android.widget.ImageView
import android.widget.TextView
import com.chad.library.adapter.base.BaseViewHolder
import com.pipipifa.pilaipiwang.R
import com.pipipifa.pilaipiwang.goodselect.model.UselectReplacementGoodsBean
import com.pipipifa.pilaipiwang.goodselect.utlis.BaseSingleAdapter
import com.ppwang.ppbase.utils.imageload.ImageUtils
import com.ppwang.utils.StringFormatUtil

/**
 * @author: wangben
 * @date: 2020/4/17
 */
class ReplacemertListAdapter : BaseSingleAdapter<UselectReplacementGoodsBean>(R.layout.uselect_item_replacemert_list) {
    lateinit var mIvPhoto: ImageView
    lateinit var mTvTitle: TextView
    lateinit var mTvPrice: TextView
    lateinit var mTvNumber: TextView

    override fun convert(helper: BaseViewHolder?, item: UselectReplacementGoodsBean?) {
        mIvPhoto = helper!!.getView(R.id.item_goods_image)
        mTvTitle = helper!!.getView(R.id.item_goods_desc)
        mTvPrice = helper!!.getView(R.id.item_goods_price)
        mTvNumber = helper!!.getView(R.id.item_goods_number)

        ImageUtils.loadGlideRound(mContext, item!!.goodsImage, mIvPhoto, 12)
        mTvTitle.text = item.goodsName
        mTvPrice.text = StringFormatUtil.getFormatPrice(item.price!!,18,14)
        mTvNumber.text = "${item.quantity}件"
    }
}