package com.pipipifa.pilaipiwang.goodselect.ui.adapter

import androidx.core.content.ContextCompat
import com.chad.library.adapter.base.BaseViewHolder
import com.pipipifa.pilaipiwang.R
import com.pipipifa.pilaipiwang.goodselect.model.UselectExpressBean
import com.pipipifa.pilaipiwang.goodselect.utlis.BaseSingleAdapter

class UselectExpressAdapter : BaseSingleAdapter<UselectExpressBean.ExpressItem>(R.layout.uselect_item_express_cell) {

    override fun convert(helper: BaseViewHolder, item: UselectExpressBean.ExpressItem) {
        helper.setText(R.id.tv_express_content, item.detail)
        helper.setText(R.id.tv_express_time, item.datetime)

        // 重置显示
        helper.setGone(R.id.v_progress_line_top, true)
        helper.setGone(R.id.v_progress_line_bottom, true)
        val position = helper.layoutPosition
        if (position == 0) {
            helper.setGone(R.id.v_progress_line_top, false)
            helper.setTextColor(R.id.tv_express_content, ContextCompat.getColor(mContext, R.color.color_333333))
            helper.setTextColor(R.id.tv_express_time, ContextCompat.getColor(mContext, R.color.color_666666))
        } else {
            helper.setTextColor(R.id.tv_express_content, ContextCompat.getColor(mContext, R.color.color_999999))
            helper.setTextColor(R.id.tv_express_time, ContextCompat.getColor(mContext, R.color.color_999999))
        }
        if (position == data.size - 1) {
            helper.setGone(R.id.v_progress_line_bottom, false)
        }
    }

}