package com.pipipifa.pilaipiwang.goodselect.ui.adapter

import androidx.core.content.ContextCompat
import android.widget.TextView
import com.chad.library.adapter.base.BaseViewHolder
import com.pipipifa.pilaipiwang.R
import com.pipipifa.pilaipiwang.goodselect.model.UselectProcessBean
import com.pipipifa.pilaipiwang.goodselect.utlis.BaseSingleAdapter
import com.pipipifa.util.DateUtils
import java.util.*

class UselectRefundProcessAdapter: BaseSingleAdapter<UselectProcessBean.Process>(R.layout.uselect_item_refund_process) {
    override fun convert(helper: BaseViewHolder?, item: UselectProcessBean.Process?) {
        if (helper!!.layoutPosition == 0) {
            helper.getView<TextView>(R.id.tv_content).setTextColor(ContextCompat.getColor(mContext, R.color.color_333333))
            helper.getView<TextView>(R.id.tv_time).setTextColor(ContextCompat.getColor(mContext, R.color.color_666666))
        } else {
            helper.getView<TextView>(R.id.tv_content).setTextColor(ContextCompat.getColor(mContext, R.color.color_333333))
            helper.getView<TextView>(R.id.tv_time).setTextColor(ContextCompat.getColor(mContext, R.color.color_666666))
        }
        helper!!.getView<TextView>(R.id.tv_content).setText(item?.content)
        helper!!.getView<TextView>(R.id.tv_time).setText(DateUtils.dateToString(Date(item?.addTime!! * 1000), DateUtils.FORMAT_STRING_DATE_TIME))
    }
}