package com.pipipifa.pilaipiwang.goodselect.ui.adapter

import android.widget.ImageView
import android.widget.TextView
import com.chad.library.adapter.base.BaseViewHolder
import com.pipipifa.pilaipiwang.R
import com.pipipifa.pilaipiwang.goodselect.model.UselectSelectCounierBean
import com.pipipifa.pilaipiwang.goodselect.utlis.BaseSingleAdapter

class UselectSelectCounierAdapter : BaseSingleAdapter<UselectSelectCounierBean.Counier>(R.layout.uselect_item_select_counier) {

    var id: String = "";
    fun selectPosition(id: String) {
        this.id = id
    }

    override fun convert(helper: BaseViewHolder?, item: UselectSelectCounierBean.Counier?) {
        var tvTitle: TextView = helper!!.getView(R.id.tv_select_courier_title)
        var ivelect: ImageView = helper!!.getView(R.id.iv_select_courier)

        tvTitle.setText(item!!.name)
        if (item!!.id == id) {
            ivelect.setBackgroundResource(R.drawable.ic_selector_style01_select)
        } else {
            ivelect.setBackgroundResource(R.drawable.ic_selector_style01_normal)
        }
    }
}