package com.pipipifa.pilaipiwang.model.order

import com.google.gson.annotations.SerializedName
import com.pipipifa.pilaipiwang.model.shopcar.Order

/**
 * Anthor: 李东益
 * Date：2020/2/26
 * Description:
 */
data class ShipmentsBean(
        /**
         * 待发货列表
         */
        @SerializedName("undelivered_order")
        var undeliveredOrder: ArrayList<Order>,

        @SerializedName("other_order")
        var otherOrder: ArrayList<Order>,

        /**
         * 待发货的订单数
         */
        @SerializedName("undelivered_order_limit")
        var undeliveredOrderLimit: Int,

        @SerializedName("other_order_limit")
        var otherOrderLimit: Int
)