package com.pipipifa.pilaipiwang.net

import com.ppwang.ppbase.base.net.param.ServerValue

/**
 * @author: vitar
 * @date:   2020/5/14
 */
object AnalysisApi {

    /**
     * 批量保存Banner广告命中
     */
    const val CMD_1982 = "1982"

    /**
     * 创建 cmd1982
     */
    @JvmStatic
    fun createCmd1982(ids: ArrayList<String>): ServerValue {
        val cmd1982 = ServerValue()
        cmd1982.cmd = CMD_1982
        cmd1982.addParam("id", ids)
        cmd1982.addParam("ad_type", 0)
        return cmd1982;
    }

    /**
     * 曝光Banner广告命中
     */
    const val CMD_1983 = "1983"

    /**
     * 创建 cmd1983
     */
    @JvmStatic
    fun createCmd1983(id: String): ServerValue {
        val cmd1983 = ServerValue()
        cmd1983.cmd = CMD_1983
        cmd1983.addParam("id", id)
        return cmd1983
    }

}